:root {
  --light: #f8f7ffff;
  --dark: #023047;
  --income-primary: #219ebc;
  --income-secondary: #8ecae6;
  --income-secondary-transparent: #8ecae620;
  --expense-primary: #fb8500;
  --expense-secondary: #ffb703;
  --expense-secondary-transparent: #ffb70320;
  --error: #e70000;
  font-size: 1vh;
  scroll-behavior: smooth;
  box-sizing: border-box;
  font-variant: small-caps;
}

body {
  font-family: "Sofia Sans", sans-serif;
  font-weight: 400;
  background-color: var(--light);
  color: var(--dark);
}
.flex {
  display: flex;
}
.a-i--center {
  align-items: center;
}
.j-c--center {
  justify-content: center;
}
.j-c--between {
  justify-content: space-between;
}
.f--wrap {
  flex-wrap: wrap;
}
.f--column {
  flex-direction: column;
}
.txt-a--center {
  text-align: center;
}
.header__heading {
  font-size: 6.25rem;
  font-weight: 700;
  padding: 1vh;
  margin: 2vh 0 1.1vh 0;
}
.header__paragraph {
  width: 60%;
  height: 8vh;
  display: block;
  font-size: 3.75rem;
  padding: 1vh;
  margin: 1.1vh 0;
  line-height: 4rem;
}
.header__paragraph:first-of-type {
  margin: 1.1vh 0 0;
}
.header__error{
  color: var(--error);
  font-size: 2rem;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease, visibility 0.3s ease;
}
.header__error.show{
  opacity: 1;
  visibility: visible;
}
.paragraph-gradient--income {
  background-image: linear-gradient(
    to bottom,
    var(--income-primary),
    var(--income-secondary)
  );
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
}
.paragraph-gradient--expense {
  background-image: linear-gradient(
    to bottom,
    var(--expense-primary),
    var(--expense-secondary)
  );
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
}
.container__paragraph {
  width: 84%;
  height: 4.5vh;
}
.f-s-20 {
  font-size: 3.125rem;
}
.f-s-14 {
  font-size: 2.1875rem;
}
.m--top {
  margin-top: 3vh;
}
.container {
  width: 92.43%;
  height: 30vh;
  border-radius: 0.78125vh;
}
.income__container {
  background-color: var(--income-secondary-transparent);
  border: 0.15625vh solid var(--income-primary);
}
.expense__container {
  background-color: var(--expense-secondary-transparent);
  border: 0.15625vh solid var(--expense-primary);
}
.input__container {
  width: 90%;
  height: 4.375vh;
  margin: 1.8vh 0;
}
.input {
  height: 4.375vh;
  background-color: var(--light);
  border: none;
  border-radius: 0.3125vh;
  font-family: "Sofia Sans", sans-serif;
  font-variant: small-caps;
}
.input::placeholder {
  font-family: "Sofia Sans", sans-serif;
  font-variant: small-caps;
  text-align: center;
}
.input--income,
.input--income::placeholder {
  color: var(--income-primary);
}
.input--expense,
.input--expense::placeholder {
  color: var(--expense-primary);
}
.input--income:focus {
  outline: 0.15625vh solid var(--income-primary);
}
.input--expense:focus {
  outline: 0.15625vh solid var(--expense-primary);
}
.input__wrapper--edit-text {
  width: 65%;
}
.input__wrapper--edit-amount {
  width: 30%;
}
.input--edit {
  width: 100%;
  height: 3.6vh;
  outline: 0.1vh solid;
  outline-color: inherit;
}
.input--text {
  width: 100%;
  position: relative;
}
.input__wrapper--text {
  width: 50%;
  height: auto;
}
.input__wrapper--amount {
  width: 21%;
  height: auto;
}
.input--amount {
  width: 100%;
  position: relative;
  -moz-appearance: textfield;
  appearance: none;
}
.input--amount::-webkit-inner-spin-button,
.input--amount::-webkit-outer-spin-button,
.input--edit::-webkit-outer-spin-button,
.input--edit::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.input__button {
  width: 21%;
  height: 4.375vh;
  border: none;
  border-radius: 0.3125vh;
  font-family: "Sofia Sans", sans-serif;
  font-variant: small-caps;
}
.input__button--income {
  background-color: var(--income-primary);
  color: var(--light);
}
.input__button--income:active {
  background-color: var(--light);
  color: var(--income-primary);
}
.input__button--expense {
  background-color: var(--expense-primary);
  color: var(--light);
}
.input__button--expense:active {
  background-color: var(--light);
  color: var(--expense-primary);
}
.error_label {
  width: 15%;
  height: auto;
  color: var(--error);
  font-size: 1.3rem;
  display: none;
  position: absolute;
  transform: translate(0, -1.2vh);
}
.error {
  outline: 0.15625vh solid var(--error)
}
.list__container {
  width: 90%;
  height: 19.22vh;
  overflow: scroll;
  align-content: start;
}
.list__container--income {
  color: var(--income-primary);
}
.list__container--expense {
  color: var(--expense-primary);
}
.list__element {
  width: 100%;
  height: 4.375vh;
  background-color: var(--light);
  border-radius: 0.3125vh;
  align-content: center;
  margin: 0.78125vh 0 0;
}
.list__element:first-of-type {
  margin: 0;
}
.list__paragraph {
  width: 70%;
  margin: 0 1.875vh;
}
.list__button_container {
  width: 21%;
}
.list__button {
  width: 3.125vh;
  aspect-ratio: 1/1;
  border: none;
  border-radius: 50%;
  background-size: 50% 50%;
  background-repeat: no-repeat;
  background-position: center;
  margin: 0 0.7vh;
}
.edit {
  background-image: url("../svg/pen.svg");
}
.edit--income {
  background-color: var(--income-secondary);
}
.edit--income:active {
  background-image: url("../svg/pen-income.svg");
  background-color: var(--light);
}
.edit--expense {
  background-color: var(--expense-secondary);
}
.edit--expense:active {
  background-image: url("../svg/pen-expense.svg");
  background-color: var(--light);
}
.delete {
  background-image: url("../svg/trash.svg");
}
.delete--income {
  background-color: var(--income-primary);
}
.delete--income:active {
  background-image: url("../svg/trash-income.svg");
  background-color: var(--light);
}
.delete--expense {
  background-color: var(--expense-primary);
}
.delete--expense:active {
  background-image: url("../svg/trash-expense.svg");
  background-color: var(--light);
}
.save {
  background-image: url("../svg/save.svg");
}
.save--income {
  background-color: var(--income-secondary);
}
.save--income:active {
  background-image: url("../svg/save-income.svg");
  background-color: var(--light);
}
.save--expense {
  background-color: var(--expense-secondary);
}
.save--expense:active {
  background-image: url("../svg/save-expense.svg");
  background-color: var(--light);
}
.cancel {
  background-image: url("../svg/x.svg");
}
.cancel--income {
  background-color: var(--income-secondary);
}
.cancel--income:active {
  background-image: url("../svg/x-income.svg");
  background-color: var(--light);
}
.cancel--expense {
  background-color: var(--expense-secondary);
}
.cancel--expense:active {
  background-image: url("../svg/x-expense.svg");
  background-color: var(--light);
}
